Page MenuHomePhabricator

Make wikibase:quantityUnit an URI
Closed, ResolvedPublic1 Story Points

Description

Right now, we have all quantity units in the DB as "1". We want to ensure that wikibase:quantityUnit instead is a proper URI, in preparation to full deployment of quantity units, by replacing "1" by URI of https://www.wikidata.org/entity/Q199.

Event Timeline

Smalyshev claimed this task.
Smalyshev raised the priority of this task from to Normal.
Smalyshev updated the task description. (Show Details)

Change 224568 had a related patch set uploaded (by Smalyshev):
T105432: remove quantityUnit for now, until units are properly implemented as IRIs

https://gerrit.wikimedia.org/r/224568

Smalyshev moved this task from Needs triage to WDQS on the Discovery board.Jul 14 2015, 10:15 PM
Tobi_WMDE_SW edited a custom field.Aug 5 2015, 9:05 AM
daniel closed this task as Declined.Aug 5 2015, 3:02 PM

With unit support just around the corner, dropping this now will probably cause more work than just leaving it in.

daniel moved this task from Review to Done on the Wikidata-Sprint-2015-06-30 board.Aug 5 2015, 3:02 PM
daniel moved this task from Done to Backlog on the Wikidata-Sprint-2015-06-30 board.

If not dropped, then it should be fixed. The value of "1" (a string literal) is not correct. Units should be represented by URIs, not by literals.

Smalyshev renamed this task from Drop wikibase:quantityUnit for now from RDF dump to Make wikibase:quantityUnit an URI .Aug 5 2015, 4:39 PM
Smalyshev reopened this task as Open.
Smalyshev updated the task description. (Show Details)
Smalyshev removed a project: Patch-For-Review.

@daniel, @mkroetzsch I've rewritten the description of the ticket. Are there any plans on how "1" unit will be represented when unit support is done? If so, please feel welcome to edit the description and add the details of what we should have instead of "1".

Change 224568 abandoned by Smalyshev:
T105432: remove quantityUnit for now, until units are properly implemented as IRIs

Reason:
As units support seems to be around the corner, per Daniel it's more work to remove it than to leave it in.

https://gerrit.wikimedia.org/r/224568

Change 229428 had a related patch set uploaded (by Smalyshev):
T105432: convert "1" to Q199 for units support.

https://gerrit.wikimedia.org/r/229428

Change 229428 merged by jenkins-bot:
T105432: convert "1" to Q199 for units support.

https://gerrit.wikimedia.org/r/229428

Smalyshev closed this task as Resolved.Aug 5 2015, 10:27 PM